//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AddressLineType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>
 * &lt;simpleType name="AddressLineType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="phone"/&gt;
 *     &lt;enumeration value="fax"/&gt;
 *     &lt;enumeration value="email"/&gt;
 *     &lt;enumeration value="uri"/&gt;
 *     &lt;enumeration value="twitter"/&gt;
 *     &lt;enumeration value="linkedin"/&gt;
 *     &lt;enumeration value="facebook"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "AddressLineType")
@XmlEnum
public enum AddressLineType {


    /**
     * Rendering hint that addrLine is a phone number, e.g. +3170-1234567
     * 
     */
    @XmlEnumValue("phone")
    PHONE("phone"),

    /**
     * Rendering hint that addrLine is a fax number, e.g. +3170-1234567
     * 
     */
    @XmlEnumValue("fax")
    FAX("fax"),

    /**
     * Rendering hint that addrLine is an email address, e.g. info@arg-decor.org
     * 
     */
    @XmlEnumValue("email")
    EMAIL("email"),

    /**
     * Rendering hint that addrLine is a URI, e.g. http://www.art-decor.org
     * 
     */
    @XmlEnumValue("uri")
    URI("uri"),

    /**
     * Rendering hint that addrLine is a Twitter account name, e.g. art-decor
     * 
     */
    @XmlEnumValue("twitter")
    TWITTER("twitter"),

    /**
     * Rendering hint that addrLine is a LinkedIn URI, e.g. http://www.linkedin.com/groups/Nictiz-72537
     * 
     */
    @XmlEnumValue("linkedin")
    LINKEDIN("linkedin"),

    /**
     * Rendering hint that addrLine is a Facebook account name, e.g. art-decor
     * 
     */
    @XmlEnumValue("facebook")
    FACEBOOK("facebook");
    private final String value;

    AddressLineType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static AddressLineType fromValue(String v) {
        for (AddressLineType c: AddressLineType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
